#include "root.h"

typedef struct tagAUTOSAVEBMP
{
	BOOL f_autosavebmp;
	WORD f_bmp; // 0:BMP, 1:EMF. 2: BMC, (3:PNG  4:JPG ... for future??)
	char* sz_template;
} AUTOSAVEBMP;

extern AUTOSAVEBMP autosavebmp;
BOOL CALLBACK AutoSaveDlgProc( HWND hdwnd, UINT message, UINT wParam, LONG lParam);

BOOL CALLBACK DlgInitETF( HWND hdwnd, UINT message, UINT wParam, LONG lParam);

void SetIdHist( int id );
BOOL CALLBACK DlgHFunct( HWND hdwnd, UINT message, UINT wParam, LONG lParam);

#define	WM_USER_HISTORY_OPEN	(WM_USER + 0x101)
void EraceHistory(int his);
extern char *hist_msg[];

BOOL CALLBACK ModeDlgProc( HWND hdwnd, UINT message, UINT wParam, LONG lParam);

extern int g_fMultiDviout;
BOOL CALLBACK NoMoreDlgProc( HWND hdwnd, UINT message, UINT wParam, LONG lParam);

extern BOOL f_gridO;
extern int w_grid;
extern BOOL f_inch;
BOOL CALLBACK GlidScaleDlgProc( HWND hdwnd, UINT message, UINT wParam, LONG lParam);

BOOL CALLBACK PaperSizeDlgProc( HWND hdwnd, UINT message, UINT wParam, LONG lParam);

extern BOOL f_seamless;
extern BOOL f_rectcut;
extern BOOL f_kill;
extern RECT pmenu;
extern BOOL f_rev_movebutton; // 1: reverse move button.
extern BOOL f_Pen;
extern char g_szFileName[];	  // dvi-file–¼ (with  #...)
extern BOOL f_pmshow;
BOOL CALLBACK DlgPresenProc(HWND hdwnd, UINT message, UINT wParam, LONG lParam);

BOOL CALLBACK DlgSaveParaProc(HWND hdwnd, UINT message, UINT wParam, LONG lParam);

BOOL CALLBACK DlgReadParaProc(HWND hdwnd, UINT message, UINT wParam, LONG lParam);
